# Class StateSummary

java.lang.Object
org.apache.zookeeper.server.quorum.StateSummary

public class StateSummary extends Object
This class encapsulates the state comparison logic. Specifically, how two different states are compared.

## Constructor Summary

Constructors
Constructor
Description
`StateSummary(long currentEpoch, long lastZxid)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`long`
`getCurrentEpoch()`
`long`
`getLastZxid()`
`int`
`hashCode()`
`boolean`
`isMoreRecentThan(StateSummary ss)`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StateSummary

public StateSummary(long currentEpoch, long lastZxid)

## Method Details

### getCurrentEpoch

public long getCurrentEpoch()

### getLastZxid

public long getLastZxid()

### isMoreRecentThan

public boolean isMoreRecentThan(StateSummary ss)

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`